<?php
class actionBooksmanagerChapters extends cmsAction {

    public function run($item_id){

        $user = cmsUser::getInstance();

        $book_item = cmsCore::getModel('content')->getContentItem($this->options['ctype'], $item_id);
		if(!$book_item['is_approved']) cmsCore::error404();
		if(!$book_item)  $book = $this->createBook($book_item, $user);  
		if(!$user->is_admin && $user->id != $book_item['user_id']) cmsCore::error404();

        if(!$this->allowThisBook($user, $book_item)){
			$error = 'У вас нет прав для редактирования данной книги!';
		}

        $book = $this->getBookByParent($item_id);
        $manager = new fieldBook('book', array());

        return $this->cms_template->render('chapters', array(
            'options' => $this->options,
            'item' => $book_item,
            'manager' => $manager,
            'book' => $book,
			'error' => isset($error) ? $error : false
        ));

    }

}
